<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/csl_root_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#5D000000">

    <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/csl_share_layout"
            android:layout_width="match_parent"
            android:layout_height="176dp"
            android:layout_margin="20dp"
            android:background="@drawable/bg_share_play_meditation_bottom"
            android:paddingHorizontal="15dp"
            android:paddingTop="28dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
                android:id="@+id/ll_wechat_friend"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@id/ll_wechat_circle_of_friends"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:id="@+id/iv_wechat"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/icon_meditation_share_wechat" />

            <TextView
                    android:id="@+id/tv_wechat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:text="微信好友"
                    android:textColor="#FF666666"
                    android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
                android:id="@+id/ll_wechat_circle_of_friends"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@id/ll_save_picture"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@id/ll_wechat_friend"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:id="@+id/iv_circle"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/icon_meditation_share_friends" />

            <TextView
                    android:id="@+id/tv_circle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:text="朋友圈"
                    android:textColor="#FF666666"
                    android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
                android:id="@+id/ll_save_picture"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:visibility="gone"
                app:layout_constraintEnd_toStartOf="@id/ll_qq_zone"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@id/ll_wechat_circle_of_friends"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/icon_meditation_share_save" />

            <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:text="保存图片"
                    android:textColor="#FF666666"
                    android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
                android:id="@+id/ll_qq_zone"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@id/ll_qq_friend"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@id/ll_save_picture"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:id="@+id/iv_qq_zone"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/icon_meditation_share_qqzone" />

            <TextView
                    android:id="@+id/tv_qq_zone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:text="QQ空间"
                    android:textColor="#FF666666"
                    android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
                android:id="@+id/ll_qq_friend"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@id/ll_qq_zone"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:id="@+id/iv_qq"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/icon_meditation_share_qq" />

            <TextView
                    android:id="@+id/tv_qq"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:text="QQ好友"
                    android:textColor="#FF666666"
                    android:textSize="14sp" />

        </LinearLayout>

        <TextView
                android:id="@+id/tv_cancel_share"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="20dp"
                android:text="取消"
                android:textColor="#FF242424"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>